import { OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { ComboBoxPipeFilterPipe } from './combo-box-pipe-filter.pipe';
export declare enum KEY_CODE {
    UP_ARROW = 38,
    DOWN_ARROW = 40,
    TAB_KEY = 9
}
export declare class ComboBoxComponent implements OnInit, ControlValueAccessor {
    private comboBoxPipeFilterPipe;
    dataList: [];
    columnName: string;
    dummyDataList: any;
    showDropDown: boolean;
    counter: number;
    textToSort: string;
    onFocusEventAction(): void;
    onBlurEventAction(): void;
    onKeyDownAction(event: KeyboardEvent): void;
    checkHighlight(currentItem: any): boolean;
    constructor(comboBoxPipeFilterPipe: ComboBoxPipeFilterPipe);
    ngOnInit(): void;
    toogleDropDown(): void;
    reset(): void;
    textChange(value: any): void;
    updateTextBox(valueSelected: any): void;
    writeValue(obj: any): void;
    private propagateChangeToForm;
    registerOnChange(fn: any): void;
    private propagateTouchedToForm;
    registerOnTouched(fn: any): void;
}
